import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-react-core";
import { DomRenderer, DomWrapper } from "igniteui-react-core";
import { XInputGroup } from "./XInputGroup";
import { XLabel } from "./XLabel";
import { XInput } from "./XInput";
import { XSuffix } from "./XSuffix";
import { XIcon } from "./XIcon";
import { Popup } from "igniteui-react-layouts";
import { XCalendar } from "./XCalendar";
import { Rect } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { ControlDisplayDensity } from "igniteui-react-core";
import { BaseControlTheme } from "igniteui-react-core";
import { DayOfWeek } from "./DayOfWeek";
import { FirstWeek } from "./FirstWeek";
import { DateFormats } from "./DateFormats";
import { SelectedValueChangedEventArgs } from "./SelectedValueChangedEventArgs";
import { InputChangeEventArgs } from "./InputChangeEventArgs";
import { KeyEventArgs } from "igniteui-react-core";
import { GotFocusEventArgs } from "./GotFocusEventArgs";
import { LostFocusEventArgs } from "./LostFocusEventArgs";
import { DatePickerVisualModelExport } from "./DatePickerVisualModelExport";
/**
 * @hidden
 */
export declare class DatePickerView extends Base {
    static $t: Type;
    constructor();
    b: DatePicker;
    ag(): void;
    d: DomRenderer;
    private k;
    private e;
    private m;
    private l;
    private j;
    private g;
    private f;
    private i;
    private h;
    get n(): DomWrapper;
    af(a: DomRenderer): void;
    private z;
    aj(a: XInputGroup): void;
    al(a: XLabel): void;
    ak(a: XInput): void;
    an(a: XSuffix, b: any): void;
    ai(a: XIcon, b: any): void;
    u(): any;
    t(): any;
    q(): any;
    p(): any;
    s(): any;
    r(): any;
    ap(a: boolean): void;
    aq(a: string): void;
    ao(): void;
    ad(): void;
    private aa;
    am(a: Popup): void;
    ah(a: XCalendar): void;
    o(): any;
    private y;
    private ac;
    private x;
    private v;
    private w;
    private ab;
    ar(): Rect;
    a(): number[];
    private c;
    ae(): void;
}
/**
 * @hidden
 */
export declare class DatePicker extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private h;
    private static readonly bg;
    private static readonly bh;
    private u;
    private q;
    private o;
    private r;
    private m;
    private n;
    private c;
    private a6;
    private ba;
    private bd;
    private a7;
    private bc;
    private ah;
    private ao;
    private an;
    private ax;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    constructor();
    selectedValueChanged: (sender: any, args: SelectedValueChangedEventArgs) => void;
    cv(a: Date, b: Date): void;
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer): void;
    private ae;
    private get af();
    private az;
    get value(): Date;
    set value(a: Date);
    private ay;
    get a2(): Date;
    set a2(a: Date);
    private a9;
    get bs(): string;
    set bs(a: string);
    private c9;
    get dc(): Brush;
    set dc(a: Brush);
    private static ab;
    private z;
    get ac(): FontInfo;
    set ac(a: FontInfo);
    private bb;
    get bz(): string;
    set bz(a: string);
    private aw;
    get a1(): Date;
    set a1(a: Date);
    private av;
    get a0(): Date;
    set a0(a: Date);
    private x;
    get y(): ControlDisplayDensity;
    set y(a: ControlDisplayDensity);
    private v;
    get w(): BaseControlTheme;
    set w(a: BaseControlTheme);
    private aa;
    get ad(): FontInfo;
    set ad(a: FontInfo);
    private da;
    get dd(): Brush;
    set dd(a: Brush);
    private c8;
    get db(): Brush;
    set db(a: Brush);
    private ak;
    get as(): boolean;
    set as(a: boolean);
    private al;
    get at(): boolean;
    set at(a: boolean);
    private ag;
    get ap(): boolean;
    set ap(a: boolean);
    private aj;
    get ar(): boolean;
    set ar(a: boolean);
    private i;
    get j(): DayOfWeek;
    set j(a: DayOfWeek);
    private k;
    get l(): FirstWeek;
    set l(a: FirstWeek);
    private am;
    get au(): boolean;
    set au(a: boolean);
    private a;
    private d;
    get e(): DateFormats;
    set e(a: DateFormats);
    private a8;
    get bo(): string;
    set bo(a: string);
    private ai;
    get aq(): boolean;
    set aq(a: boolean);
    protected cu(a: string, b: any, c: any): void;
    protected cx(a: string, b: any, c: any): void;
    private ca;
    private c5;
    private c2;
    private c4;
    cd(): void;
    private cm;
    private cl;
    private ck;
    c7(a: string): void;
    private c6;
    private c3;
    cb(): void;
    ce(): void;
    private b9;
    private b8;
    cj(): void;
    cw(): void;
    cc(): void;
    focus(a?: boolean): void;
    ci(): void;
    cz(): void;
    ch(): void;
    cp(): void;
    cq(): void;
    private c1;
    private c0;
    a5(): any;
    bl(): string;
    b(): DatePickerVisualModelExport;
    gotFocus: (sender: any, args: GotFocusEventArgs) => void;
    lostFocus: (sender: any, args: LostFocusEventArgs) => void;
    keyDown: (sender: any, args: KeyEventArgs) => void;
    changing: (sender: any, args: InputChangeEventArgs) => void;
    cr(a: GotFocusEventArgs): void;
    ct(a: LostFocusEventArgs): void;
    cs(a: KeyEventArgs): void;
    co(a: InputChangeEventArgs): void;
}
