import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs, EventArgs } from "igniteui-react-core";
import { DomRenderer, DomWrapper } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { ControlDisplayDensity } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { AnimationKeyFrameEffect } from "igniteui-react-core";
import { AnimationKeyFrameEffectTiming } from "igniteui-react-core";
import { SuffixShiftType } from "./SuffixShiftType";
import { PrefixShiftType } from "./PrefixShiftType";
import { Brush } from "igniteui-react-core";
import { LabelShiftType } from "./LabelShiftType";
import { MouseButtonEventArgs } from "igniteui-react-core";
import { KeyEventArgs } from "igniteui-react-core";
import { InputShiftType } from "./InputShiftType";
import { SuffixVisualModelExport } from "./SuffixVisualModelExport";
import { PrefixVisualModelExport } from "./PrefixVisualModelExport";
import { InputGroupDisplayType } from "./InputGroupDisplayType";
import { BaseControlTheme } from "igniteui-react-core";
import { CornerRadius } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { InputGroupVisualModelExport } from "./InputGroupVisualModelExport";
import { LabelVisualModelExport } from "./LabelVisualModelExport";
import { InputVisualModelExport } from "./InputVisualModelExport";
import { InputChangeEventArgs } from "./InputChangeEventArgs";
/**
 * @hidden
 */
export declare class InputGroupView extends Base {
    static $t: Type;
    constructor();
    d: XInputGroup;
    ak(): void;
    ac(a: XInputGroupItem): void;
    ae(a: XInputGroupItem): void;
    ad(): void;
    g(): boolean;
    l: DomRenderer;
    private e;
    private i;
    get w(): any;
    get as(): Path;
    get h(): boolean;
    ah(a: DomRenderer): void;
    get s(): DomWrapper;
    get v(): any;
    get u(): any;
    get x(): any;
    get y(): any;
    private z;
    aq(a: string): void;
    ap(): void;
    private aa;
    al(): void;
    j(): number;
    private f;
    private n;
    private o;
    private p;
    private t;
    private r;
    private q;
    private m;
    ag(): void;
    ai(): void;
    ar(a: FontInfo): void;
    k(a: XLabel): number;
    af(): void;
    a(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    c(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    b(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    ao(a: XInput): void;
    ab(a: any): void;
    an(a: any): void;
    private aj;
    private am;
}
/**
 * @hidden
 */
export declare class SuffixView extends Base {
    static $t: Type;
    constructor();
    a: XSuffix;
    o(): void;
    d(): boolean;
    private g;
    private b;
    private e;
    get r(): Path;
    m(a: DomRenderer): void;
    q(): void;
    private f;
    p(): void;
    private i;
    private j;
    private c;
    private h;
    l(): void;
    n(): void;
    k(a: any): void;
}
/**
 * @hidden
 */
export declare class PrefixView extends Base {
    static $t: Type;
    constructor();
    a: XPrefix;
    o(): void;
    d(): boolean;
    g: DomRenderer;
    private b;
    private e;
    get r(): Path;
    m(a: DomRenderer): void;
    q(): void;
    private f;
    p(): void;
    private i;
    private j;
    private c;
    private h;
    l(): void;
    n(): void;
    k(a: any): void;
}
/**
 * @hidden
 */
export declare class LabelView extends Base {
    static $t: Type;
    constructor();
    c: XLabel;
    ab(): void;
    f(): boolean;
    k: DomRenderer;
    private d;
    private h;
    get n(): any;
    get aj(): Path;
    get g(): boolean;
    s(): void;
    b(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    a(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
    w(a: DomRenderer): void;
    j(): number;
    af(): void;
    ag(): void;
    ae(): void;
    private o;
    ah(a: string): void;
    y(): void;
    t(): void;
    u(): void;
    z(): void;
    aa(): void;
    private p;
    ac(): void;
    i(): number;
    private q;
    private r;
    private e;
    private l;
    private m;
    v(): void;
    x(): void;
    ai(a: FontInfo): void;
    ad(a: Brush): void;
}
/**
 * @hidden
 */
export declare class InputView extends Base {
    static $t: Type;
    constructor();
    b: XInput;
    ao(): void;
    f(): boolean;
    j: DomRenderer;
    private c;
    private h;
    get o(): any;
    get a4(): Path;
    get g(): boolean;
    al(a: DomRenderer): void;
    av(a: boolean): void;
    au(a: boolean): void;
    e: boolean;
    private y;
    private x;
    as(): void;
    aq(): void;
    a0(): void;
    az(): void;
    private i;
    at(a: string): void;
    private u;
    private ab;
    private af;
    private ag;
    private a3;
    private v;
    private w;
    private ac;
    private ae;
    private ad;
    private ah;
    private z;
    private aa;
    private p;
    a1(a: string): void;
    q(): string;
    private r;
    n(): number;
    m(): number;
    ay(a: number): void;
    aw(a: number): void;
    ap(): void;
    private s;
    private t;
    private d;
    private k;
    private l;
    aj(): void;
    am(): void;
    a2(a: FontInfo): void;
    ak(): void;
    an(a: boolean): void;
    ar(): void;
    ax(a: number, b: number): void;
    ai(): void;
    a(a: AnimationKeyFrameEffectTiming): AnimationKeyFrameEffect;
}
/**
 * @hidden
 */
export declare abstract class XInputGroupItem extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private c;
    get e(): string;
    set e(a: string);
    private a;
    get b(): XInputGroup;
    set b(a: XInputGroup);
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected g(a: string, b: any, c: any): void;
    protected h(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class XSuffix extends XInputGroupItem {
    static $t: Type;
    constructor();
    private _view;
    get view(): SuffixView;
    set view(a: SuffixView);
    destroy(): void;
    private j;
    get k(): SuffixShiftType;
    set k(a: SuffixShiftType);
    protected h(a: string, b: any, c: any): void;
    private al;
    private ai;
    private ap;
    private ao;
    aj(): void;
    ak(): void;
    private static s;
    private v;
    get z(): string;
    set z(a: string);
    private u;
    get w(): string;
    set w(a: string);
    private n;
    get q(): boolean;
    set q(a: boolean);
    private m;
    private o;
    get disabled(): boolean;
    set disabled(a: boolean);
    am(): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected r(): boolean;
    t(): any;
    y(): string;
    i(): SuffixVisualModelExport;
    appendContentChild(a: any): void;
    provideContainer(a: DomRenderer): void;
}
/**
 * @hidden
 */
export declare class XPrefix extends XInputGroupItem {
    static $t: Type;
    constructor();
    private _view;
    get view(): PrefixView;
    set view(a: PrefixView);
    destroy(): void;
    private j;
    get k(): PrefixShiftType;
    set k(a: PrefixShiftType);
    protected h(a: string, b: any, c: any): void;
    private al;
    private ai;
    private ap;
    private ao;
    aj(): void;
    ak(): void;
    private static s;
    private v;
    get z(): string;
    set z(a: string);
    private u;
    get w(): string;
    set w(a: string);
    private n;
    get q(): boolean;
    set q(a: boolean);
    private m;
    private o;
    get disabled(): boolean;
    set disabled(a: boolean);
    am(): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected r(): boolean;
    t(): any;
    y(): string;
    i(): PrefixVisualModelExport;
    appendContentChild(a: any): void;
    provideContainer(a: DomRenderer): void;
}
/**
 * @hidden
 */
export declare class XInputGroup extends Base implements INotifyPropertyChanged {
    static $t: Type;
    constructor();
    private ly;
    appendContentChild(a: any): void;
    mj(a: any): void;
    private c;
    get d(): InputGroupDisplayType;
    set d(a: InputGroupDisplayType);
    private l;
    get n(): ControlDisplayDensity;
    set n(a: ControlDisplayDensity);
    private k;
    get m(): ControlDisplayDensity;
    set m(a: ControlDisplayDensity);
    private l4;
    private l5;
    private l3;
    private l6;
    private ad;
    private lx;
    private h;
    get j(): BaseControlTheme;
    set j(a: BaseControlTheme);
    private _view;
    get view(): InputGroupView;
    set view(a: InputGroupView);
    destroy(): void;
    protected me(a: string, b: any, c: any): void;
    protected mh(a: string, b: any, c: any): void;
    static m3(a: CornerRadius, b: CornerRadius): CornerRadius;
    static tj(a: Thickness, b: Thickness): Thickness;
    private mq;
    private mr;
    private mp;
    private ms;
    private mo;
    private mn;
    private q;
    private o;
    private get a();
    onChildrenMutated(): void;
    private l1;
    get af(): boolean;
    md(): void;
    lostFocus: (sender: any, e: EventArgs) => void;
    gotFocus: (sender: any, e: EventArgs) => void;
    static i: BaseControlTheme;
    static fu: number;
    static f5: number;
    static ng: CornerRadius;
    static tw: Thickness;
    static re: Brush;
    static rv: Brush;
    private static rw;
    static gx: number;
    static gw: number;
    static f9: number;
    static sf: Brush;
    static sg: Brush;
    static ry: Brush;
    static rx: Brush;
    static gu: number;
    static f8: number;
    static f6: number;
    static f7: number;
    static gv: number;
    static rd: Brush;
    private static ga;
    private static gb;
    private static nh;
    private static tx;
    private static r0;
    private static r1;
    private static r2;
    private static gj;
    private static gi;
    private static gf;
    private static r5;
    private static r6;
    private static r4;
    private static r3;
    private static gg;
    private static ge;
    private static gc;
    private static gd;
    private static gh;
    private static rz;
    private static fv;
    private static fw;
    private static nf;
    private static tv;
    private static ro;
    private static rp;
    private static rq;
    private static f4;
    private static f3;
    private static f0;
    private static rt;
    private static ru;
    private static rs;
    private static rr;
    private static f1;
    private static fz;
    private static fx;
    private static fy;
    private static f2;
    private static rn;
    private static fk;
    private static fl;
    private static ne;
    private static tu;
    private static rg;
    private static rh;
    private static ri;
    private static ft;
    private static fs;
    private static fp;
    private static rl;
    private static rm;
    private static rk;
    private static rj;
    private static fq;
    private static fo;
    private static fm;
    private static fn;
    private static fr;
    private static rf;
    static gk: number;
    static gl: number;
    static ni: CornerRadius;
    static ty: Thickness;
    static r8: Brush;
    static r9: Brush;
    private static sa;
    static gt: number;
    static gs: number;
    static gp: number;
    static sd: Brush;
    static se: Brush;
    static sc: Brush;
    static sb: Brush;
    static gq: number;
    static go: number;
    static gm: number;
    static gn: number;
    static gr: number;
    static r7: Brush;
    static d1: number;
    static ec: number;
    static na: CornerRadius;
    static tq: Thickness;
    static py: Brush;
    static qf: Brush;
    private static qg;
    static e4: number;
    static e3: number;
    static eg: number;
    static qz: Brush;
    static q0: Brush;
    static qi: Brush;
    static qh: Brush;
    static e1: number;
    static ef: number;
    static ed: number;
    static ee: number;
    static e2: number;
    static px: Brush;
    private static eh;
    private static ei;
    private static nb;
    private static tr;
    private static qk;
    private static ql;
    private static qm;
    private static eq;
    private static ep;
    private static em;
    private static qp;
    private static qq;
    private static qo;
    private static qn;
    private static en;
    private static el;
    private static ej;
    private static ek;
    private static eo;
    private static qj;
    private static d2;
    private static d3;
    private static m9;
    private static tp;
    private static p8;
    private static p9;
    private static qa;
    private static eb;
    private static ea;
    private static d7;
    private static qd;
    private static qe;
    private static qc;
    private static qb;
    private static d8;
    private static d6;
    private static d4;
    private static d5;
    private static d9;
    private static p7;
    private static dr;
    private static ds;
    private static m8;
    private static to;
    private static p0;
    private static p1;
    private static p2;
    private static d0;
    private static dz;
    private static dw;
    private static p5;
    private static p6;
    private static p4;
    private static p3;
    private static dx;
    private static dv;
    private static dt;
    private static du;
    private static dy;
    private static pz;
    static er: number;
    static es: number;
    static nc: CornerRadius;
    static ts: Thickness;
    static qs: Brush;
    static qt: Brush;
    private static qu;
    static e0: number;
    static ez: number;
    static ew: number;
    static qx: Brush;
    static qy: Brush;
    static qw: Brush;
    static qv: Brush;
    static ex: number;
    static ev: number;
    static et: number;
    static eu: number;
    static ey: number;
    static qr: Brush;
    private df;
    private e5;
    private m7;
    private tn;
    private pg;
    private q1;
    private q2;
    private hb;
    private ha;
    private e9;
    private sp;
    private sq;
    private q4;
    private q3;
    private g8;
    private e8;
    private e6;
    private e7;
    private g9;
    private pf;
    private fa;
    private fb;
    private nd;
    private tt;
    private q6;
    private q7;
    private q8;
    private fj;
    private fi;
    private ff;
    private rb;
    private rc;
    private ra;
    private q9;
    private fg;
    private fe;
    private fc;
    private fd;
    private fh;
    private q5;
    private dg;
    private dh;
    private m6;
    private tm;
    private pq;
    private pr;
    private ps;
    private dq;
    private dp;
    private dl;
    private pv;
    private pw;
    private pu;
    private pt;
    private dm;
    private dk;
    private di;
    private dj;
    private dn;
    private pp;
    private c5;
    private c6;
    private m5;
    private tl;
    private pi;
    private pj;
    private pk;
    private de;
    private dd;
    private da;
    private pn;
    private po;
    private pm;
    private pl;
    private db;
    private c9;
    private c7;
    private c8;
    private dc;
    private ph;
    private gy;
    private gz;
    private nj;
    private tz;
    private si;
    private sj;
    private sk;
    private g7;
    private g6;
    private g3;
    private sn;
    private so;
    private sm;
    private sl;
    private g4;
    private g2;
    private g0;
    private g1;
    private g5;
    private sh;
    private mm;
    l7(): void;
    mc(): void;
    mb(): void;
    mt(): void;
    private mg;
    private nn;
    get ot(): Brush;
    set ot(a: Brush);
    private no;
    get ou(): Brush;
    set ou(a: Brush);
    private am;
    get ca(): number;
    set ca(a: number);
    private an;
    get cb(): number;
    set cb(a: number);
    private mu;
    get m0(): CornerRadius;
    set m0(a: CornerRadius);
    private ta;
    get tg(): Thickness;
    set tg(a: Thickness);
    private av;
    get cj(): number;
    set cj(a: number);
    private au;
    get ci(): number;
    set ci(a: number);
    private ar;
    get cf(): number;
    set cf(a: number);
    private nr;
    get ox(): Brush;
    set ox(a: Brush);
    private ns;
    get oy(): Brush;
    set oy(a: Brush);
    private nq;
    get ow(): Brush;
    set ow(a: Brush);
    private np;
    get ov(): Brush;
    set ov(a: Brush);
    private as;
    get cg(): number;
    set cg(a: number);
    private aq;
    get ce(): number;
    set ce(a: number);
    private ao;
    get cc(): number;
    set cc(a: number);
    private ap;
    get cd(): number;
    set cd(a: number);
    private at;
    get ch(): number;
    set ch(a: number);
    private nm;
    get os(): Brush;
    set os(a: Brush);
    private a6;
    get cu(): number;
    set cu(a: number);
    private bh;
    get hc(): number;
    set hc(a: number);
    private nu;
    get o0(): Brush;
    set o0(a: Brush);
    private mx;
    get m4(): CornerRadius;
    set m4(a: CornerRadius);
    private td;
    get tk(): Thickness;
    set tk(a: Thickness);
    private b9;
    get h4(): number;
    set h4(a: number);
    private b8;
    get h3(): number;
    set h3(a: number);
    private bl;
    get hg(): number;
    set hg(a: number);
    private oq;
    get s8(): Brush;
    set s8(a: Brush);
    private or;
    get s9(): Brush;
    set s9(a: Brush);
    private ob;
    get st(): Brush;
    set st(a: Brush);
    private oa;
    get ss(): Brush;
    set ss(a: Brush);
    private b6;
    get h1(): number;
    set h1(a: number);
    private bk;
    get hf(): number;
    set hf(a: number);
    private bi;
    get hd(): number;
    set hd(a: number);
    private bj;
    get he(): number;
    set he(a: number);
    private b7;
    get h2(): number;
    set h2(a: number);
    private nt;
    get oz(): Brush;
    set oz(a: Brush);
    private bm;
    get hh(): number;
    set hh(a: number);
    private bn;
    get hi(): number;
    set hi(a: number);
    private oe;
    get sw(): Brush;
    set sw(a: Brush);
    private od;
    get sv(): Brush;
    set sv(a: Brush);
    private my;
    get nk(): CornerRadius;
    set nk(a: CornerRadius);
    private te;
    get t0(): Thickness;
    set t0(a: Thickness);
    private bv;
    get hq(): number;
    set hq(a: number);
    private bu;
    get hp(): number;
    set hp(a: number);
    private br;
    get hm(): number;
    set hm(a: number);
    private oh;
    get sz(): Brush;
    set sz(a: Brush);
    private oi;
    get s0(): Brush;
    set s0(a: Brush);
    private og;
    get sy(): Brush;
    set sy(a: Brush);
    private of;
    get sx(): Brush;
    set sx(a: Brush);
    private bs;
    get hn(): number;
    set hn(a: number);
    private bq;
    get hl(): number;
    set hl(a: number);
    private bo;
    get hj(): number;
    set hj(a: number);
    private bp;
    get hk(): number;
    set hk(a: number);
    private bt;
    get ho(): number;
    set ho(a: number);
    private oc;
    get su(): Brush;
    set su(a: Brush);
    private a7;
    get cv(): number;
    set cv(a: number);
    private a8;
    get cw(): number;
    set cw(a: number);
    private n4;
    get pa(): Brush;
    set pa(a: Brush);
    private n3;
    get o9(): Brush;
    set o9(a: Brush);
    private mw;
    get m2(): CornerRadius;
    set m2(a: CornerRadius);
    private tc;
    get ti(): Thickness;
    set ti(a: Thickness);
    private bg;
    get c4(): number;
    set c4(a: number);
    private bf;
    get c3(): number;
    set c3(a: number);
    private bc;
    get c0(): number;
    set c0(a: number);
    private n7;
    get pd(): Brush;
    set pd(a: Brush);
    private n8;
    get pe(): Brush;
    set pe(a: Brush);
    private n6;
    get pc(): Brush;
    set pc(a: Brush);
    private n5;
    get pb(): Brush;
    set pb(a: Brush);
    private bd;
    get c1(): number;
    set c1(a: number);
    private bb;
    get cz(): number;
    set cz(a: number);
    private a9;
    get cx(): number;
    set cx(a: number);
    private ba;
    get cy(): number;
    set cy(a: number);
    private be;
    get c2(): number;
    set c2(a: number);
    private n2;
    get o8(): Brush;
    set o8(a: Brush);
    private aw;
    get ck(): number;
    set ck(a: number);
    private ax;
    get cl(): number;
    set cl(a: number);
    private nx;
    get o3(): Brush;
    set o3(a: Brush);
    private nw;
    get o2(): Brush;
    set o2(a: Brush);
    private mv;
    get m1(): CornerRadius;
    set m1(a: CornerRadius);
    private tb;
    get th(): Thickness;
    set th(a: Thickness);
    private a5;
    get ct(): number;
    set ct(a: number);
    private a4;
    get cs(): number;
    set cs(a: number);
    private a1;
    get cp(): number;
    set cp(a: number);
    private n0;
    get o6(): Brush;
    set o6(a: Brush);
    private n1;
    get o7(): Brush;
    set o7(a: Brush);
    private nz;
    get o5(): Brush;
    set o5(a: Brush);
    private ny;
    get o4(): Brush;
    set o4(a: Brush);
    private a2;
    get cq(): number;
    set cq(a: number);
    private a0;
    get co(): number;
    set co(a: number);
    private ay;
    get cm(): number;
    set cm(a: number);
    private az;
    get cn(): number;
    set cn(a: number);
    private a3;
    get cr(): number;
    set cr(a: number);
    private nv;
    get o1(): Brush;
    set o1(a: Brush);
    private bw;
    get hr(): number;
    set hr(a: number);
    private bx;
    get hs(): number;
    set hs(a: number);
    private ol;
    get s3(): Brush;
    set s3(a: Brush);
    private ok;
    get s2(): Brush;
    set s2(a: Brush);
    private mz;
    get nl(): CornerRadius;
    set nl(a: CornerRadius);
    private tf;
    get t1(): Thickness;
    set t1(a: Thickness);
    private b5;
    get h0(): number;
    set h0(a: number);
    private b4;
    get hz(): number;
    set hz(a: number);
    private b1;
    get hw(): number;
    set hw(a: number);
    private oo;
    get s6(): Brush;
    set s6(a: Brush);
    private op;
    get s7(): Brush;
    set s7(a: Brush);
    private on;
    get s5(): Brush;
    set s5(a: Brush);
    private om;
    get s4(): Brush;
    set s4(a: Brush);
    private b2;
    get hx(): number;
    set hx(a: number);
    private b0;
    get hv(): number;
    set hv(a: number);
    private by;
    get ht(): number;
    set ht(a: number);
    private bz;
    get hu(): number;
    set hu(a: number);
    private b3;
    get hy(): number;
    set hy(a: number);
    private oj;
    get s1(): Brush;
    set s1(a: Brush);
    private x;
    private t;
    get ah(): boolean;
    set ah(a: boolean);
    mk(): void;
    private z;
    private v;
    get aj(): boolean;
    set aj(a: boolean);
    private y;
    private u;
    get ai(): boolean;
    set ai(a: boolean);
    private r;
    get ac(): boolean;
    set ac(a: boolean);
    private n9;
    get sr(): Brush;
    set sr(a: Brush);
    private static h8;
    private ib;
    get ki(): string;
    set ki(a: string);
    private w;
    get disabled(): boolean;
    set disabled(a: boolean);
    mf(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    ensureShift(): void;
    protected ak(): boolean;
    ia(): any;
    j9(): string;
    b(): InputGroupVisualModelExport;
    provideContainer(a: DomRenderer): void;
    private e;
    private p;
    private ab;
    private s;
    private aa;
    get inputs(): XInputGroupInputCollection;
    private h9;
    private get h7();
    private ml;
    private get ae();
    private get al();
}
/**
 * @hidden
 */
export declare class XInputGroupInputCollection extends ObservableCollection$1<XInputGroupItem> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class XLabel extends XInputGroupItem {
    static $t: Type;
    constructor();
    private n;
    get p(): BaseControlTheme;
    set p(a: BaseControlTheme);
    private _view;
    get view(): LabelView;
    set view(a: LabelView);
    destroy(): void;
    private get i();
    private aa;
    private z;
    private b8;
    private ci;
    private b9;
    protected h(a: string, b: any, c: any): void;
    private cg;
    private cd;
    private cc;
    private cn;
    private cm;
    static da: Brush;
    static c7: Brush;
    static c9: Brush;
    static c8: Brush;
    static c3: Brush;
    static c0: Brush;
    static c2: Brush;
    static c1: Brush;
    static o: BaseControlTheme;
    static db: Brush;
    static c4: Brush;
    static c6: Brush;
    static c5: Brush;
    private cl;
    private static x;
    private r;
    get t(): ControlDisplayDensity;
    set t(a: ControlDisplayDensity);
    private q;
    get s(): ControlDisplayDensity;
    set s(a: ControlDisplayDensity);
    private cr;
    get cz(): Brush;
    set cz(a: Brush);
    private co;
    get cw(): Brush;
    set cw(a: Brush);
    private cp;
    get cx(): Brush;
    set cx(a: Brush);
    private cq;
    get cy(): Brush;
    set cy(a: Brush);
    private u;
    get w(): FontInfo;
    set w(a: FontInfo);
    private cv;
    get df(): Brush;
    set df(a: Brush);
    private cs;
    get dc(): Brush;
    set dc(a: Brush);
    private ct;
    get dd(): Brush;
    set dd(a: Brush);
    private k;
    get l(): LabelShiftType;
    set l(a: LabelShiftType);
    private af;
    get an(): boolean;
    set an(a: boolean);
    ck(a: boolean, b?: boolean): void;
    private ad;
    get al(): boolean;
    set al(a: boolean);
    ce(): void;
    cf(): void;
    private v;
    get y(): FontInfo;
    set y(a: FontInfo);
    private cu;
    get de(): Brush;
    set de(a: Brush);
    private static at;
    private a2;
    get bu(): string;
    set bu(a: string);
    private ay;
    get bi(): string;
    set bi(a: string);
    private az;
    get bl(): string;
    set bl(a: string);
    private a0;
    get bn(): string;
    set bn(a: string);
    private av;
    get ba(): string;
    set ba(a: string);
    private aw;
    get bc(): string;
    set bc(a: string);
    private ar;
    private ab;
    get aj(): boolean;
    get as(): number;
    set as(a: number);
    private a1;
    get bp(): string;
    set bp(a: string);
    private ax;
    get be(): string;
    set be(a: string);
    private a3;
    get text(): string;
    set text(a: string);
    private ae;
    get am(): boolean;
    set am(a: boolean);
    private ai;
    get aq(): boolean;
    set aq(a: boolean);
    private ac;
    private ah;
    private ag;
    ap: boolean;
    get disabled(): boolean;
    set disabled(a: boolean);
    ch(): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected ao(): boolean;
    au(): any;
    bk(): string;
    j(): LabelVisualModelExport;
    provideContainer(a: DomRenderer): void;
}
/**
 * @hidden
 */
export declare class XInput extends XInputGroupItem {
    static $t: Type;
    private t;
    private a3;
    private a4;
    private p;
    private bl;
    private bf;
    private ae;
    private bg;
    private af;
    private an;
    constructor();
    private _view;
    get view(): InputView;
    set view(a: InputView);
    destroy(): void;
    private m;
    get n(): InputShiftType;
    set n(a: InputShiftType);
    private v;
    get x(): ControlDisplayDensity;
    set x(a: ControlDisplayDensity);
    private u;
    get w(): ControlDisplayDensity;
    set w(a: ControlDisplayDensity);
    private bk;
    get b9(): string;
    set b9(a: string);
    private bn;
    get cd(): string;
    set cd(a: string);
    private ah;
    get aq(): boolean;
    set aq(a: boolean);
    protected h(a: string, b: any, c: any): void;
    private da;
    private dc;
    private db;
    private c0;
    private dm;
    private dl;
    static dw: Brush;
    static dv: Brush;
    static ab: FontInfo;
    private dq;
    get du(): Brush;
    set du(a: Brush);
    private dp;
    get dt(): Brush;
    set dt(a: Brush);
    private y;
    get aa(): FontInfo;
    set aa(a: FontInfo);
    private ds;
    get dy(): Brush;
    set dy(a: Brush);
    cr(): void;
    cz(): void;
    keyDown: (sender: any, args: KeyEventArgs) => void;
    keyUp: (sender: any, args: KeyEventArgs) => void;
    keyPress: (sender: any, args: KeyEventArgs) => void;
    gotFocus: (sender: any, e: EventArgs) => void;
    lostFocus: (sender: any, e: EventArgs) => void;
    mouseDown: (sender: any, e: MouseButtonEventArgs) => void;
    mouseUp: (sender: any, e: MouseButtonEventArgs) => void;
    c2(a: KeyEventArgs): void;
    c4(a: KeyEventArgs): void;
    c3(a: KeyEventArgs): void;
    c5(a: MouseButtonEventArgs): void;
    c8(a: MouseButtonEventArgs): void;
    c9(): void;
    cx(): void;
    cy(): void;
    cs(): void;
    ct(): void;
    cv(): void;
    cu(): void;
    c6(): void;
    c7(): void;
    private z;
    get ac(): FontInfo;
    set ac(a: FontInfo);
    private bj;
    get b3(): string;
    set b3(a: string);
    private bm;
    get cb(): string;
    set cb(a: string);
    private dr;
    get dx(): Brush;
    set dx(a: Brush);
    private static bb;
    private bi;
    get b0(): string;
    set b0(a: string);
    private a5;
    private ag;
    get ao(): boolean;
    get ba(): number;
    set ba(a: number);
    private bh;
    get bx(): string;
    set bx(a: string);
    private be;
    get bt(): string;
    set bt(a: string);
    private ak;
    get as(): boolean;
    set as(a: boolean);
    bd: any;
    private bo;
    get cj(): string;
    set cj(a: string);
    get ap(): boolean;
    private aj;
    private ai;
    get disabled(): boolean;
    set disabled(a: boolean);
    private al;
    get readonly(): boolean;
    set readonly(a: boolean);
    dd(): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected av(): boolean;
    bc(): any;
    bw(): string;
    j(): InputVisualModelExport;
    change: (sender: any, args: InputChangeEventArgs) => void;
    changing: (sender: any, args: InputChangeEventArgs) => void;
    compositionStart: (sender: any, e: EventArgs) => void;
    compositionEnd: (sender: any, e: EventArgs) => void;
    di(a: number, b: number): void;
    provideContainer(a: DomRenderer): void;
    cm(): void;
    focus(a?: boolean): void;
    dg(): void;
    private dk;
    private dj;
    private dn;
    private cl;
    private a7;
    private a6;
    get selectionStart(): number;
    set selectionStart(a: number);
    get selectionEnd(): number;
    set selectionEnd(a: number);
    private am;
    get au(): boolean;
    set au(a: boolean);
    dh(a: boolean, b?: boolean): void;
    private c1;
    private ad;
    aw: boolean;
    private co;
    private get i();
    private de;
}
