import * as React from 'react';
import { XIcon } from "./XIcon";
export declare class IgrXIcon extends React.Component<IIgrXIconProps> {
    private _container;
    private _initialized;
    private _elRef;
    private _portalManager;
    private _wrapper;
    private _getMainRef;
    render(): React.DetailedReactHTMLElement<{
        className: string;
        ref: (ref: any) => void;
        children: any[];
    }, any>;
    private requestRender;
    constructor(props: IIgrXIconProps);
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    protected initializeProperties(): void;
    updateStyle(): void;
    componentWillUnmount(): void;
    private _implementation;
    componentDidMount(): void;
    initializeContent(): void;
    protected createImplementation(): XIcon;
    get i(): XIcon;
    private _icon;
    /**
 * Gets the color to use for the actual background.
*/
    get actualFill(): string;
    set actualFill(v: string);
    /**
     * Gets the color to use for the actual text color.
    */
    get actualTextColor(): string;
    set actualTextColor(v: string);
    /**
     * Gets the color to use for the actual background.
    */
    get actualHoverFill(): string;
    set actualHoverFill(v: string);
    /**
     * Gets the hover stroke to use for the icon.
    */
    get actualHoverStroke(): string;
    set actualHoverStroke(v: string);
    /**
     * Gets the stroke to use for the icon.
    */
    get actualStroke(): string;
    set actualStroke(v: string);
    /**
     * Gets the hover stroke to use for the icon.
    */
    get actualHoverStrokeThickness(): number;
    set actualHoverStrokeThickness(v: number);
    /**
     * Gets the stroke to use for the icon.
    */
    get actualStrokeThickness(): number;
    set actualStrokeThickness(v: number);
    /**
     * Gets or sets the color to use for the actual background.
    */
    get fill(): string;
    set fill(v: string);
    /**
     * Gets or sets the color to use for the text.
    */
    get textColor(): string;
    set textColor(v: string);
    /**
     * Gets or sets the color to use for the text.
    */
    get svgPath(): string;
    set svgPath(v: string);
    /**
     * Gets or sets the color to use for the actual background.
    */
    get hoverFill(): string;
    set hoverFill(v: string);
    /**
     * Gets or sets the hover stroke to use for the icon.
    */
    get hoverStroke(): string;
    set hoverStroke(v: string);
    /**
     * Gets or sets the stroke to use for the icon.
    */
    get stroke(): string;
    set stroke(v: string);
    /**
     * Gets or sets the hover stroke to use for the icon.
    */
    get hoverStrokeThickness(): number;
    set hoverStrokeThickness(v: number);
    /**
     * Gets or sets the stroke to use for the icon.
    */
    get strokeThickness(): number;
    set strokeThickness(v: number);
    /**
     * Gets or sets the use for the button.
    */
    get textStyle(): string;
    set textStyle(v: string);
    /**
     * Gets or sets the color to use for the hovered text of the button regardless of type.
    */
    get hoverTextColor(): string;
    set hoverTextColor(v: string);
    /**
     * Gets or sets the id to use for the checkbox.
    */
    get id(): string;
    set id(v: string);
    /**
     * Gets or sets TabIndex to use for the checkbox.
    */
    get tabIndex(): number;
    set tabIndex(v: number);
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    get ariaLabel(): string;
    set ariaLabel(v: string);
    /**
     * Gets or sets whether the icon is hovered.
    */
    get isHover(): boolean;
    set isHover(v: boolean);
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled(): boolean;
    set disabled(v: boolean);
    get opacity(): number;
    set opacity(v: number);
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected get hasUserValues(): Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    /**
     * Exports visual information about the current state of the grid.
    
    */
    exportVisualModel(): any;
    /**
     * Returns a serialized copy of the exported visual model
    
    */
    exportSerializedVisualModel(): string;
}
export interface IIgrXIconProps {
    /**
 * Gets the color to use for the actual background.
*/
    actualFill?: string;
    /**
     * Gets the color to use for the actual text color.
    */
    actualTextColor?: string;
    /**
     * Gets the color to use for the actual background.
    */
    actualHoverFill?: string;
    /**
     * Gets the hover stroke to use for the icon.
    */
    actualHoverStroke?: string;
    /**
     * Gets the stroke to use for the icon.
    */
    actualStroke?: string;
    /**
     * Gets the hover stroke to use for the icon.
    */
    actualHoverStrokeThickness?: number | string;
    /**
     * Gets the stroke to use for the icon.
    */
    actualStrokeThickness?: number | string;
    /**
     * Gets or sets the color to use for the actual background.
    */
    fill?: string;
    /**
     * Gets or sets the color to use for the text.
    */
    textColor?: string;
    /**
     * Gets or sets the color to use for the text.
    */
    svgPath?: string;
    /**
     * Gets or sets the color to use for the actual background.
    */
    hoverFill?: string;
    /**
     * Gets or sets the hover stroke to use for the icon.
    */
    hoverStroke?: string;
    /**
     * Gets or sets the stroke to use for the icon.
    */
    stroke?: string;
    /**
     * Gets or sets the hover stroke to use for the icon.
    */
    hoverStrokeThickness?: number | string;
    /**
     * Gets or sets the stroke to use for the icon.
    */
    strokeThickness?: number | string;
    /**
     * Gets or sets the use for the button.
    */
    textStyle?: string;
    /**
     * Gets or sets the color to use for the hovered text of the button regardless of type.
    */
    hoverTextColor?: string;
    /**
     * Gets or sets the id to use for the checkbox.
    */
    id?: string;
    /**
     * Gets or sets TabIndex to use for the checkbox.
    */
    tabIndex?: number | string;
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    ariaLabel?: string;
    /**
     * Gets or sets whether the icon is hovered.
    */
    isHover?: boolean | string;
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    disabled?: boolean | string;
    opacity?: number | string;
}
